By the way,

this site works on Explorer 5.0 and Communicator 4.77.
Anything older than that, you may not be able to see the site in its full technicolor glory but then again you might be able to.